---
title: Node.contains()
slug: Web/API/Node/contains
tags:
  - API
  - DOM
  - Method
  - Node
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>Node.contains()</code></strong> method returns a {{jsxref("Boolean")}} value indicating whether a node is a descendant of a given node, i.e. the node itself, one of its direct children ({{domxref("Node.childNodes", "childNodes")}}), one of the children's direct children, and so on.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">node.contains( otherNode )
</pre>

<h2 id="Example">Example</h2>

<p>This function checks to see if an element is in the page's body. As <code>contains</code> is inclusive and determining if the body contains itself isn't the intention of <code>isInPage</code> this case explicitly returns <code>false</code>.</p>

<pre class="brush:js">function isInPage(node) {
  return (node === document.body) ? false : document.body.contains(node);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM WHATWG", "#dom-node-contains", "Node.contains()")}}</td>
   <td>{{Spec2("DOM WHATWG")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.contains")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Node.compareDocumentPosition")}}</li>
 <li>{{domxref("Node.hasChildNodes")}}</li>
</ul>
